#ifndef __PRESET_AI_H
#define __PRESET_AI_H

#include "at32f403a_407.h"



//
typedef struct
{
    uint8_t state;  // 0 - выкл, 1 - вкл
    uint8_t type;   // тип, 0 - фиксированное значение
    float min;      // минимальное значение
    float max;      // максимальное значение
    float hyst;     // значение гистерезиса

} preset_ai_t;



// 
void preset_init(void);

//
void preset_set_state(void);

//
void preset_process(float *data);



#endif  // __PRESET_AI_H

