#ifndef __TRIGGERS_H
#define __TRIGGERS_H

#include "at32f403a_407.h"
#include <stdbool.h>


// Состояния для реализации алгоритма гистерезиса
typedef enum
{
    hyst_idle = 0,
    hyst_up,
    hyst_down,

} hyst_state_t;


//
bool trig_low_value(float value, float lowlevel, float highlevel, float hyst, 
                    hyst_state_t *state);


bool trig_high_value(float value, float lowlevel, float highlevel, float hyst,
                     hyst_state_t *state);



#endif  // __TRIGGERS_H

